////////////////////////////////////////////////////////////////////////////////////////
//......................................................................................
//  This is a part of AI Library [Arthur's Interfaces Library].                        .
//  Copyright  1989-2001 Arthur Amshukov                                              .
//......................................................................................
//  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND         .
//  DO NOT REMOVE MY NAME AND THIS NOTICE FROM THE SOURCE                              .
//......................................................................................
////////////////////////////////////////////////////////////////////////////////////////
#ifndef __PALM_TEXT_INC__
#define __PALM_TEXT_INC__

#pragma once

#ifndef __AIL_H__
#   include <ail.hpp>
#endif

#ifndef __CHARACTERS_INC__
#   include <Characters.inc>
#endif

#ifdef __PALM_OS__
#   ifndef __PALMOS_H__
#       include <PalmOS.h>
#   endif
#endif

#ifndef __PALM_OS_INC__
#   include <PalmOS.inc>
#endif

#ifndef __PALM_ERROR_INC__
#   include <PalmError.inc>
#endif

#ifndef __PALM_TEXT_H__
#   include <PalmText.hpp>
#endif

#ifndef __PALM_TEXT_INL__
#   include <PalmText.inl>
#endif

#endif // __PALM_TEXT_INC__
////////////////////////////////////////////////////////////////////////////////////////
